<?php

use Contao\Backend;
use Contao\BackendUser;
use Contao\DC_Table;

/**
 * Table tl_form_submissions_set 
 */
$GLOBALS['TL_DCA']['tl_form_submissions_set'] = array
    (
    // Config
    'config' => array
        (
        'dataContainer' => DC_Table::class,
        'ctable' => array('tl_form_submissions'),
        'closed' => true,
        'notEditable' => true,
        'sql' => array
            (
            'keys' => array
                (
                'id' => 'primary',
                'form_id' => 'index'
            )
        )
    ),
    // List
    'list' => array
        (
        'sorting' => array
            (
            'mode' => 1,
            'fields' => array('form_title'),
            'flag' => 1,           
            'panelLayout' => 'search,limit'
        ),
        'label' => array
            (
            'fields' => array('form_title'),
            'format' => '%s'
        ),
        'global_operations' => array
            (
            
        ),
        'operations' => array
            (   
            'edit' => array
			(
				'label' => &$GLOBALS['TL_LANG']['tl_form_submissions_set']['edit'],
				'href' => 'table=tl_form_submissions',
				'icon' => 'edit.gif'
			),
            'show' => array
                (
                'label' => &$GLOBALS['TL_LANG']['tl_form_submissions_set']['show'],
                'href' => 'act=show',
                'icon' => 'show.gif'
            )
        )
    ),
    
    // Fields
    'fields' => array
        (
        'id' => array
            (
            'sql' => "int(10) unsigned NOT NULL auto_increment"
        ),
        'form_id' => array
            (
            'label' => &$GLOBALS['TL_LANG']['tl_form_submissions_set']['form_id'],
            'foreignKey' => 'tl_form.id',
            'sql' => "int(10) unsigned NOT NULL default '0'",
            'relation' => array('type' => 'belongsTo')
        ),
        'form_alias' => array
            (            
            'label' => &$GLOBALS['TL_LANG']['tl_form_submissions_set']['form_alias'],
            'exclude' => false,
            'search' => true,                             
            'sql' => "varbinary(128) NOT NULL default ''"
        ),
        'form_title' => array
            (            
            'label' => &$GLOBALS['TL_LANG']['tl_form_submissions_set']['form_title'],
            'exclude' => false,
            'search' => true,
            'sorting' => false,
            'flag' => 1,                   
            'sql' => "varchar(255) NOT NULL default ''"
        ),
        'tstamp' => array
            (
            'sql' => "int(10) unsigned NOT NULL default '0'"
        )
    )
);

/**
 * Class tl_form_submissions_set
 */
class tl_form_submissions_set extends Backend
{

	/**
	 * Import the back end user object
	 */
	public function __construct()
	{
		parent::__construct();
		$this->import(BackendUser::class, 'User');
	}
}
